## dhcpcd 10.0.8

=== debian/changelog ===
dhcpcd (1:10.0.8-2) unstable; urgency=medium

  * [control]
    + Build-Depends: systemd-timesyncd [linux-any]
  * [rules]
    - Remove --with-hooks="ntp.conf timesyncd.conf" line.
    1) Debian ships systemd-timesync with Priority:standard on Linux.
    2) Upstream configure does not check for non-default configuration paths
       for Chrony or OpenNTPD, and it doesn't check for ntpsec at all.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 12 Jun 2024 19:54:51 +0300

dhcpcd (1:10.0.8-1) unstable; urgency=medium

  * New upstream version.
  * [patches]
    - Drop all patches. Merged upstream.
  * [control]
    = Cleanup by routine-update.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 24 May 2024 21:17:17 +0300

dhcpcd (1:10.0.6-5) unstable; urgency=medium

  * [control]
    = Bump Standards-Version to 4.7.0 (no change required).
  * [gbp.conf]
    + Set the Debian branch.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 13 May 2024 18:17:22 +0300

dhcpcd (1:10.0.6-4) unstable; urgency=medium

  [ Benjamin Drung ]
  * [patches]
    + hooks/30-hostname:
      Exit with 0 if setting hostname is not needed (LP: #2064926).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 07 May 2024 13:49:47 +0300

dhcpcd (1:10.0.6-3) unstable; urgency=medium

  * [control]
    = Migrate Build-Depends from pkg-config to pkgconf.
  * [autopkgtest]
    - Remove usrmerge tests since Bookworm and newer releases are merged.
    + Add Depends on systemd-timesyncd (Closes: #1069599).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 22 Apr 2024 07:32:46 +0300

dhcpcd (1:10.0.6-2) unstable; urgency=medium

  * [copyright]
    = Bump year for upstream and myself.
    = Migrate upstream URL to Github.
  * [control]
    Make our package bin-NMU friendly:
    + Make binary:all Depends on (>= ${source:Version}).
    = Move from ${binary:Version} to ${source:Version}.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 24 Mar 2024 09:59:07 +0200
