=== debian/control ===
Source: dhcpcd
Maintainer: Martin-Éric Racine <martin-eric.racine@iki.fi>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libssl-dev,
               libudev-dev [linux-any],
               pkgconf,
               systemd-timesyncd [linux-any]
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/dhcpcd
Vcs-Git: https://salsa.debian.org/debian/dhcpcd.git
Homepage: https://roy.marples.name/projects/dhcpcd
Rules-Requires-Root: no

Package: dhcpcd-base
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: resolvconf | openresolv | systemd-resolved
Breaks: dhcpcd5 (<< ${source:Version}~)
Provides: dhcp-client
Replaces: dhcpcd5 (<< ${source:Version}~)
Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
 dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
  * DHCPv4 client
  * DHCPv6 client with Prefix Delegation (PD) support
  * IPv4 LL support (ZeroConf)
  * IPv6 SLAAC support
  * ARP address conflict resolution
  * ARP ping profiles
  * Wireless SSID profiles
 .
 This package provides the binaries, exit hooks and manual pages.
 .
 It offers a dual-stack substitute for ISC DHCP Client (dhclient) on systems
 where interfaces are configured by ifupdown via </etc/network/interfaces>
 using the DHCP method.
 .
 The init.d script and systemd service required for systems without ifupdown
 are packaged separately as dhcpcd.
 .
 Since Debian 12 (Bookworm), dhcpcd uses Predictable Network Interface Names
 on Linux ports. See NEWS.Debian for more details.

Package: dhcpcd
Architecture: all
Depends: dhcpcd-base (>= ${source:Version}~),
         sysvinit-utils (>= 3.05-4~) | lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wpasupplicant
Suggests: dhcpcd-gtk
Breaks: dhcpcd5 (<< ${source:Version}~)
Provides: dhcpcd
Replaces: dhcpcd5 (<< ${source:Version}~)
Description: DHCPv4 and DHCPv6 dual-stack client (init.d script & systemd unit)
 dhcpcd provides seamless IPv4 and IPv6 auto-configuration.
 .
 This package provides the optional init.d script and systemd service.
 .
 It should NOT be installed on systems where interfaces are configured
 by ifupdown via </etc/network/interfaces> using the DHCP method.

Package: dhcpcd5
Architecture: all
Section: oldlibs
Depends: dhcpcd (>= ${source:Version}~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: DHCPv4 and DHCPv6 dual-stack client (dummy transitional package)
 This package depends on dhcpcd. It can safely be removed after upgrades.
