=== debian/tests/control ===
Tests: timesyncd-ntp-servers-from-dhcp
Depends: dnsmasq,
         ethtool,
         iproute2,
         systemd-timesyncd,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed
Architecture: linux-any
