## dhcpcd 10.0.10

=== debian/changelog ===
dhcpcd (1:10.0.10-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 09 Sep 2024 08:56:06 +0300

dhcpcd (1:10.0.10-1) unstable; urgency=medium

  * New upstream version.
  * [control]
    + dhcpcd-base: Provides: avahi-autoipd. Our IPV4LL fallback does the same.
  * [debian/][debian/tests]
    = Run 'shfmt -p' on all POSIX scripts.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 21 Aug 2024 18:20:25 +0300

dhcpcd (1:10.0.8-3) unstable; urgency=medium

  * [autopkgtest]
    = Merge common-ntp-servers-from-dhcp into timesyncd-ntp-servers-from-dhcp.
    + Implement basic autopkgtest using adequate.
  * [examples]
    = Rename and update DHCPv6-PD example configuration.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 08 Aug 2024 09:46:28 +0300
