=== debian/control ===
--- 
+++ 
@@ -20,14 +20,15 @@
          ${shlibs:Depends}
 Suggests: resolvconf | openresolv | systemd-resolved
 Breaks: dhcpcd5 (<< ${source:Version}~)
-Provides: dhcp-client
+Provides: avahi-autoipd,
+          dhcp-client
 Replaces: dhcpcd5 (<< ${source:Version}~)
 Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
  dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
   * DHCPv4 client
   * DHCPv6 client with Prefix Delegation (PD) support
-  * IPv4 LL support (ZeroConf)
-  * IPv6 SLAAC support
+  * IPv4LL support (ZeroConf)
+  * IPv6RS support (SLAAC)
   * ARP address conflict resolution
   * ARP ping profiles
   * Wireless SSID profiles
