=== debian/changelog ===
dhcpcd (1:10.1.0-8) unstable; urgency=medium

  * [debian/control]
    - dhcpcd-base: Drop the Provides avahi-autoipd (Closes: #1090742).
      1) Since Trixie, avahi-autoipd no longer Recommends isc-dhcp-client
         and ifupdown prioritizes dhcpcd in its search path.
      2) The only significant package that still Recommends avahi-autoipd
         is task-laptop, where it remains perfectly reasonable.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 11 Mar 2025 19:02:47 +0200

dhcpcd (1:10.1.0-7) unstable; urgency=medium

  * [debian/patches]
    + Add one cherry-pick from upstream Git for glibc6 2.41 (Closes: #1096157).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 17 Feb 2025 08:39:25 +0200

dhcpcd (1:10.1.0-6) unstable; urgency=medium

  * [autopkgtest]
    = Revert to previous veth recipe.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 07 Feb 2025 07:39:38 +0200

dhcpcd (1:10.1.0-5) unstable; urgency=medium

  * [autopkgtest]
    = Sanitize IPv6 commands in timesyncd-ntp-servers-from-dhcp.
  * [debian/patches]
    + Add two cherry-picks from upstream Git to fix IPv6.
    + Add "Forwarded: not-needed" to upstream Git cherry-picks.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 06 Feb 2025 10:01:15 +0200

dhcpcd (1:10.1.0-4) unstable; urgency=medium

  * [debian/patches]
    + Append the Applied-Upstream line to the Git cherry-pick from previous.
  * [debian/rules]
    + Explicitly configure --with-hooks="timesyncd.conf" to ensure it ships.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 02 Feb 2025 16:09:39 +0200

dhcpcd (1:10.1.0-3) unstable; urgency=medium

  * [copyright]
    = Bump my debian/* line to 2025.
  * [debian/NEWS]
    = Update the text to make differences with dhclient more obvious.
  * [debian/patches]
    + Git pick: exit 50-timesyncd if not found or disabled (Closes: #1086161).
    + Uncomment 'hostname' in dhcpcd.conf (Closes: #1089598).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 24 Jan 2025 21:33:57 +0200

dhcpcd (1:10.1.0-2) unstable; urgency=medium

  * [autopkgtest]
    + Restrictions: timesyncd-ntp-servers-from-dhcp flaky (Closes: #1087113).
      Thanks to Luca Boccassi for this kludge against 'dnsmasq' timeouts.
  * [copyright]
    = Update according to latest Lintian results (Closes: #1084139).
      Thanks to Phil Wyett for the extensive copyright review.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 09 Nov 2024 10:18:58 +0200

dhcpcd (1:10.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 05 Oct 2024 08:24:12 +0300

dhcpcd (1:10.0.10-2) unstable; urgency=medium

  * [control]
    = Make dhcpcd-base Priority: important to match the override change.
      See #1038882.
  * [gbp.conf]
    + upstream-branch = upstream
  * [NEWS]
    + SLAAC uses privacy extensions as per upstream defaults.
    + No separate inet6 line is needed with dhcpcd.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 22 Sep 2024 08:56:39 +0300
