=== debian/control ===
--- 
+++ 
@@ -15,13 +15,13 @@
 
 Package: dhcpcd-base
 Architecture: any
+Priority: important
 Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: resolvconf | openresolv | systemd-resolved
 Breaks: dhcpcd5 (<< ${source:Version}~)
-Provides: avahi-autoipd,
-          dhcp-client
+Provides: dhcp-client
 Replaces: dhcpcd5 (<< ${source:Version}~)
 Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
  dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
