=== debian/tests/control ===
Tests: adequate
Depends: debhelper,
         adequate,
         @
Restrictions: superficial

Tests: timesyncd-ntp-servers-from-dhcp
Depends: dnsmasq,
         ethtool,
         iproute2,
         systemd-timesyncd,
         @
Restrictions: breaks-testbed,
              flaky,
              isolation-machine,
              needs-root
Architecture: linux-any
