## dhcpcd 10.2.0

=== debian/changelog ===
dhcpcd (1:10.2.0-1) experimental; urgency=medium

  * New upstream version.
  * [debian/patches]
    - Delete all cherry-picks (merged upstream).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 17 Feb 2025 09:12:47 +0200
