=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/dhcpcd
 Vcs-Git: https://salsa.debian.org/debian/dhcpcd.git
-Homepage: https://roy.marples.name/projects/dhcpcd
+Homepage: https://github.com/NetworkConfiguration/dhcpcd
 Rules-Requires-Root: no
 
 Package: dhcpcd-base
@@ -21,7 +21,8 @@
          ${shlibs:Depends}
 Suggests: resolvconf | openresolv | systemd-resolved
 Breaks: dhcpcd5 (<< ${source:Version}~)
-Provides: dhcp-client
+Provides: avahi-autoipd,
+          dhcp-client
 Replaces: dhcpcd5 (<< ${source:Version}~)
 Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
  dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
