=== debian/changelog ===
dhcpcd (1:10.2.4-4~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports. No change required.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 23 Sep 2025 09:40:13 +0300

dhcpcd (1:10.2.4-4) unstable; urgency=medium

  * [dhcpcd.service]
    - Remove /etc/wpa_supplicant from ReadWritePaths (Closes: #1111467).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 29 Aug 2025 11:18:17 +0300

dhcpcd (1:10.2.4-3) unstable; urgency=medium

  * The "Welcome to Forky!" release. Uploading to unstable.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 10 Aug 2025 13:58:48 +0300

dhcpcd (1:10.2.4-2) experimental; urgency=medium

  * dhcpcd: Conflicts: network-manager (Closes: #1107683).
    This ensures that a daemonized dhcpcd and network-manager won't install on
    the same host. Meanwhile, dhcpcd-base itself does nothing without ifupdown
    or network-manager's dhcpcd backend.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 12 Jun 2025 11:03:25 +0300

dhcpcd (1:10.2.4-1) experimental; urgency=medium

  * New upstream version.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 06 Jun 2025 12:58:19 +0300

dhcpcd (1:10.2.3-1) experimental; urgency=medium

  * New upstream version:
    + Fix "SIGSYS with custom allocators" (Closes: #1101521).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 16 May 2025 17:52:16 +0300

dhcpcd (1:10.2.2-6) experimental; urgency=medium

  * [changelog]
    = Fix typo in previous ChangeLog entry.
  * [control]
    + dhcpcd: Recommends: | iwd | wireless-tools.
      dhcpcd uses netlink's NL80211_CMD_GET_SCAN to determine the SSID profile
      in /etc/dhcpcd.conf it should use. This remains agnostic to what tool is
      used to configure the radio and authenticate to the AccessPoint.
  * [Lintian]
    + Override: non-virtual-facility-in-initd-script:
      dhcpcd Should indeed start after "networking" if found.
  * dhcpcd:
    + init.d: Should-Start: networking (ifupdown), before dhcpcd, if found.
    + *.service: run After networking.service (ifupdown), if found.
    - Stop shipping an empty /etc/wpa_supplicant/ directory.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 10 May 2025 14:18:15 +0300

dhcpcd (1:10.2.2-5) experimental; urgency=medium

  * [gbp.conf]
    = Update Git repository layout to follow DEP-14.
      In addition to debian/latest, we have debian/bookworm and debian/trixie.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 08 Apr 2025 08:41:34 +0300

dhcpcd (1:10.2.2-4) experimental; urgency=medium

  * [control]
    = Shuffle the Suggests order to prioritize openresolv (Closes: #1102254).
  * [copyright]
    = Updated copyright info for debian/* files.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 07 Apr 2025 11:26:33 +0300

dhcpcd (1:10.2.2-3) experimental; urgency=medium

  * [salsa-ci.yml]
    + Implement basic CI support using the stock Debian pipeline include.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 26 Mar 2025 08:45:15 +0200

dhcpcd (1:10.2.2-2) experimental; urgency=medium

  * [debian/control]
    = Bumped Standards-Version to 4.7.2 (no change required).
    - dhcpcd-base: Drop the Provides avahi-autoipd (Closes: #1090742).
      1) Since Trixie, avahi-autoipd no longer Recommends isc-dhcp-client
         and ifupdown prioritizes dhcpcd in its search path.
      2) The only significant package that still Recommends avahi-autoipd
         is task-laptop, where it remains perfectly reasonable.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 11 Mar 2025 19:06:39 +0200

dhcpcd (1:10.2.2-1) experimental; urgency=medium

  * New upstream version.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 25 Feb 2025 15:47:12 +0200

dhcpcd (1:10.2.1-1) experimental; urgency=medium

  * New upstream version.
  * [autopkgtest]
    - Cautiously remove 'flaky' from timesyncd restrictions.
  * [debian/control]
    = Bumped Standards-Version to 4.7.1 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 24 Feb 2025 07:02:56 +0200

dhcpcd (1:10.1.0-12) unstable; urgency=high

  * dhcpcd: Conflicts: network-manager (Closes: #1107683).
    This ensures that a daemonized dhcpcd and network-manager won't install on
    the same host and compete for control of the interfaces and resolver.
    Meanwhile, dhcpcd-base does nothing without ifupdown or network-manager's
    dhcpcd backend, so it remains harmless on a stock Trixie install.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 13 Jun 2025 14:09:46 +0300

dhcpcd (1:10.1.0-11) unstable; urgency=medium

  * [patches]
    + Upstream Git cherry-picks: prevent exit on timeout. We keep on trying to
      acquire an IP no matter what, switching to IPv4LL and back as needed.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 08 May 2025 21:47:28 +0300

dhcpcd (1:10.1.0-10) unstable; urgency=medium

  * [patches]
    + Upstream Git cherry-pick: Remove option rapid_commit from dhcpcd.conf

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 20 Apr 2025 12:05:44 +0300

dhcpcd (1:10.1.0-9) unstable; urgency=medium

  * [autopkgtest]
    - Cautiously remove 'flaky' from timesyncd restrictions.
  * [control]
    = Bumped Standards-Version to 4.7.2 (no change required).
    = Migrate the Homepage field from Roy's website to Github.
    = Shuffle the Suggests order to prioritize openresolv (Closes: #1102254).
  * [copyright]
    = Update copyright info.
  * [gbp.conf]
    = Update Git repository layout to follow DEP-14.
      In addition to debian/latest, we have debian/bookworm and debian/trixie.
  * [salsa-ci.yml]
    + Implement basic CI support using the stock Debian pipeline include.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 10 Apr 2025 10:33:08 +0300
