=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libudev-dev [linux-any],
                pkgconf,
                systemd-timesyncd [linux-any]
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/dhcpcd
 Vcs-Git: https://salsa.debian.org/debian/dhcpcd.git
 Homepage: https://github.com/NetworkConfiguration/dhcpcd
@@ -19,10 +19,9 @@
 Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: resolvconf | openresolv | systemd-resolved
+Suggests: openresolv | resolvconf | systemd-resolved
 Breaks: dhcpcd5 (<< ${source:Version}~)
-Provides: avahi-autoipd,
-          dhcp-client
+Provides: dhcp-client
 Replaces: dhcpcd5 (<< ${source:Version}~)
 Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
  dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
@@ -52,9 +51,10 @@
          sysvinit-utils (>= 3.05-4~) | lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: wpasupplicant
+Recommends: wpasupplicant | iwd | wireless-tools
 Suggests: dhcpcd-gtk
 Breaks: dhcpcd5 (<< ${source:Version}~)
+Conflicts: network-manager
 Provides: dhcpcd
 Replaces: dhcpcd5 (<< ${source:Version}~)
 Description: DHCPv4 and DHCPv6 dual-stack client (init.d script & systemd unit)
