## dhcpcd 10.3.0

=== src/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 CSTD?=		c99
 CFLAGS+=	-std=${CSTD}
-CPPFLAGS+=	-I${TOP} -I${TOP}/src -I./crypt
+CPPFLAGS+=	-I${TOP} -I${TOP}/src -I./crypt -I${TOP}/vendor
 
 SRCS+=		${DHCPCD_SRCS} ${PRIVSEP_SRCS}
 DHCPCD_DEF?=	dhcpcd-definitions.conf
@@ -21,7 +21,11 @@
 
 PCOMPAT_SRCS=	${COMPAT_SRCS:compat/%=${TOP}/compat/%}
 PCRYPT_SRCS=	${CRYPT_SRCS:compat/%=${TOP}/compat/%}
-OBJS+=		${SRCS:.c=.o} ${PCRYPT_SRCS:.c=.o} ${PCOMPAT_SRCS:.c=.o}
+PVENDOR_SRCS=	${VENDOR_SRCS:vendor/%=${TOP}/vendor/%}
+OBJS+=		${SRCS:.c=.o}
+OBJS+=		${PCRYPT_SRCS:.c=.o}
+OBJS+=		${PCOMPAT_SRCS:.c=.o}
+OBJS+=		${PVENDOR_SRCS:.c=.o}
 
 MAN5=		dhcpcd.conf.5
 MAN8=		dhcpcd.8
@@ -50,6 +54,9 @@
 
 dev:
 	cd dev && ${MAKE}
+
+../vendor/rbtree.o:
+	${CC} ${CFLAGS} ${CPPFLAGS} ${RBTREE_CFLAGS} ${RBTREE_CPPFLAGS} -c ../vendor/rbtree.c -o $@
 
 .c.o:
 	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@
@@ -118,8 +125,12 @@
 	rm -f *.diff *.patch *.orig *.rej
 
 _import-src: ${SRCS} ${MAN5} ${MAN8}
+	@if ! [ -e ../config.h ]; then \
+		echo "Cowardly refusing to import-src unless configured" >&2; \
+		exit 1; \
+	fi
 	${INSTALL} -d ${DESTDIR}/src
-	for x in defs.h ${SRCS} ${SRCS:.c=.h} dev.h ${MAN5} ${MAN8}; do \
+	for x in defs.h ${SRCS} ${SRCS:.c=.h} queue.h dev.h ${MAN5} ${MAN8}; do \
 		[ ! -e "$$x" ] || cp $$x ${DESTDIR}/src; \
 	done
 	cp dhcpcd.conf ${DESTDIR}/src
@@ -129,14 +140,21 @@
 			[ ! -e "../$$x" ] || cp "../$$x" ${DESTDIR}/compat; \
 		done; \
 	fi
+	if [ -n "${VENDOR_SRCS}" ]; then \
+		${INSTALL} -d ${DESTDIR}/vendor; \
+		cp ../vendor/queue.h ${DESTDIR}/vendor; \
+		for x in ${VENDOR_SRCS} ${VENDOR_SRCS:.c=.h}; do \
+			[ ! -e "../$$x" ] || cp "../$$x" ${DESTDIR}/compat; \
+		done; \
+	fi
 	if ! grep HAVE_SYS_BITOPS_H ../config.h; then \
 		cp ../compat/bitops.h ${DESTDIR}/compat; \
 	fi
 	if grep compat/consttime_memequal.h ../config.h; then \
 		cp ../compat/consttime_memequal.h ${DESTDIR}/compat; \
 	fi
-	if [ -e ${DESTDIR}/compat/rb.c ]; then \
-		cp ../compat/rbtree.h ${DESTDIR}/compat; \
+	if [ -e ${DESTDIR}/vendor/rbtree.c ]; then \
+		cp ../vendor/rbtree.h ${DESTDIR}/vendor; \
 	fi
 	if [ -e ${DESTDIR}/compat/strtoi.c ]; then \
 		cp ../compat/_strtoi.h ${DESTDIR}/compat; \
