=== debian/changelog ===
dhcpcd (1:10.3.0-7) unstable; urgency=medium

  * [dirs]
    + Add empty /usr/lib/dhcpcd to avoid breaking upgrades (Closes: #1124734).
  * [sysusers]
    = Revert to /usr/lib/dhcpcd as home directory. Our unpriviledged user can
      accommodate any path, apparently, so might as well keep the old one.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 06 Jan 2026 23:34:16 +0200

dhcpcd (1:10.3.0-6) unstable; urgency=medium

  * [preinst],[sysusers]
    + Migrate home from /usr/lib/dhcpcd to /usr/libexec if needed.
      Otherwise dhcpcd will complain that it cannot chroot to its exit hooks.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 04 Jan 2026 03:11:32 +0200

dhcpcd (1:10.3.0-5) unstable; urgency=medium

  * [lintian-overrides]
    + Add reference to #1124249 suggestion.
  * [sysusers]
    = Migrate home from /usr/lib/dhcpcd to /run/dhcpcd.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 04 Jan 2026 01:17:57 +0200

dhcpcd (1:10.3.0-4) unstable; urgency=medium

  * [rules]
    = Force delete EGHOOKS. We really don't want to ship them.
    = Move all other HOOKS to /usr/libexec (Closes: #1103429).
  * [lintian-overrides]
    + dhcpcd-base: executable-not-elf-or-script [usr/libexec/dhcpcd-hooks/*].
      As per #1124249 suggestion.
    - dhcpcd: non-virtual-facility-in-initd-script. Obsolete.
  * [examples]
    = Move 90-IPv6_debug into its own hooks subdirectory.
  * [copyright]
    = Update according to 'licensecheck' suggestions.
    = Bump my debian/* line to 2026.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 03 Jan 2026 18:33:05 +0200

dhcpcd (1:10.3.0-3) unstable; urgency=medium

  * [control]
    = Simplify bin:dhcpcd's long description (Closes: #1121452).
  * [patches]
    + Uncomment 'ntp_servers' in dhcpcd.conf (Closes: #1123962).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 25 Dec 2025 11:16:42 +0200

dhcpcd (1:10.3.0-2) unstable; urgency=low

  * [init.d],[systemd]
    = Run Before=networking.service for upcoming ifupdown (Closes: #1121016).
      Thanks Daniel Gröber.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 21 Nov 2025 11:09:54 +0200

dhcpcd (1:10.3.0-1) unstable; urgency=low

  * New upstream version.
  * Migrate user creation to sysusers.d declaration. Thanks Luca Boccassi.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 14 Nov 2025 21:14:38 +0200
