=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--privsepuser=dhcpcd \
		--dbdir=/var/lib/dhcpcd \
		--rundir=/run/dhcpcd \
		--with-eghooks="" \
		--with-hooks="timesyncd.conf" \
		--with-openssl

override_dh_install:
	rm -fr debian/tmp/usr/share/dhcpcd
	dh_install

# Avoid starting the unconfigured service as it may break connectivity.
override_dh_installinit:
	dh_installinit --name=dhcpcd --no-start --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installsystemd:
	dh_installsystemd --name=dhcpcd --no-start --no-stop-on-upgrade --no-restart-after-upgrade
	dh_installsystemd --name=dhcpcd@ --no-start --no-stop-on-upgrade --no-restart-after-upgrade
